Subject: guile-irregex does not correctly package the compiled version

From: wolf <[email-masked]>
Date: Wed, 11 Oct 2023 23:58:52 +0200

Hello,

when I try to use guile-irregex, I am presented with a notice about
auto-compilation:

    $ guix shell guile guile-irregex -- guile -c '(use-modules (rx irregex))'
    ;;; note: auto-compilation is enabled, set GUILE_AUTO_COMPILE=0
    ;;;       or pass the --no-auto-compile argument to disable.
    ;;; compiling /gnu/store/0dsldjpjkb5jhmbp9v7hqh4g99abw4d4-profile/share/guile/site/3.0/rx/source/irregex.scm
    ;;; compiled /home/wolf/.cache/guile/ccache/3.0-LE-8-4.6/gnu/store/28kbndqfrzblr3jdin9i28nwqmy6vsys-guile-irregex-0.9.6/share/guile/site/3.0/rx/source/irregex.scm.go

I did not expect that and I am pretty sure that should not happen.  The .go file
seems to be present in the store, so I am unsure why it is not loaded.

W.

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.